Package com.sun.ts.lib.util

# Class DoubleConsts

java.lang.Object
com.sun.ts.lib.util.DoubleConsts

public class DoubleConsts extends Object
This class contains additional constants documenting limits of the `double` type.

Author:
  Joseph D. Darcy

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EXP_BIAS`
  Bias used in representing a `double` exponent.
  `static final long`
  `EXP_BIT_MASK`
  Bit mask to isolate the exponent field of a `double`.
  `static final int`
  `MAX_EXPONENT`
  Maximum exponent a finite `double` number may have.
  `static final double`
  `MAX_VALUE`
  `static final int`
  `MIN_EXPONENT`
  Minimum exponent a normalized `double` number may have.
  `static final double`
  `MIN_NORMAL`
  A constant holding the smallest positive normal value of type `double`, 2-1022.
  `static final int`
  `MIN_SUB_EXPONENT`
  The exponent the smallest positive `double` subnormal value would have if it could be normalized.
  `static final double`
  `MIN_VALUE`
  `static final double`
  `NaN`
  `static final double`
  `NEGATIVE_INFINITY`
  `static final double`
  `POSITIVE_INFINITY`
  `static final long`
  `SIGN_BIT_MASK`
  Bit mask to isolate the sign bit of a `double`.
  `static final long`
  `SIGNIF_BIT_MASK`
  Bit mask to isolate the significand field of a `double`.
  `static final int`
  `SIGNIFICAND_WIDTH`
  The number of logical bits in the significand of a `double` number, including the implicit bit.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### POSITIVE_INFINITY

    public static final double POSITIVE_INFINITY
    See Also:
      - Constant Field Values

  - ### NEGATIVE_INFINITY

    public static final double NEGATIVE_INFINITY
    See Also:
      - Constant Field Values

  - ### NaN

    public static final double NaN
    See Also:
      - Constant Field Values

  - ### MAX_VALUE

    public static final double MAX_VALUE
    See Also:
      - Constant Field Values

  - ### MIN_VALUE

    public static final double MIN_VALUE
    See Also:
      - Constant Field Values

  - ### MIN_NORMAL

    public static final double MIN_NORMAL
    A constant holding the smallest positive normal value of type `double`, 2-1022. It is equal to the value returned by `Double.longBitsToDouble(0x0010000000000000L)`.
    Since:
      1.5
    See Also:
      - Constant Field Values

  - ### SIGNIFICAND_WIDTH

    public static final int SIGNIFICAND_WIDTH
    The number of logical bits in the significand of a `double` number, including the implicit bit.
    See Also:
      - Constant Field Values

  - ### MAX_EXPONENT

    public static final int MAX_EXPONENT
    Maximum exponent a finite `double` number may have. It is equal to the value returned by `Math.ilogb(Double.MAX_VALUE)`.
    See Also:
      - Constant Field Values

  - ### MIN_EXPONENT

    public static final int MIN_EXPONENT
    Minimum exponent a normalized `double` number may have. It is equal to the value returned by `Math.ilogb(Double.MIN_NORMAL)`.
    See Also:
      - Constant Field Values

  - ### MIN_SUB_EXPONENT

    public static final int MIN_SUB_EXPONENT
    The exponent the smallest positive `double` subnormal value would have if it could be normalized. It is equal to the value returned by `FpUtils.ilogb(Double.MIN_VALUE)`.
    See Also:
      - Constant Field Values

  - ### EXP_BIAS

    public static final int EXP_BIAS
    Bias used in representing a `double` exponent.
    See Also:
      - Constant Field Values

  - ### SIGN_BIT_MASK

    public static final long SIGN_BIT_MASK
    Bit mask to isolate the sign bit of a `double`.
    See Also:
      - Constant Field Values

  - ### EXP_BIT_MASK

    public static final long EXP_BIT_MASK
    Bit mask to isolate the exponent field of a `double`.
    See Also:
      - Constant Field Values

  - ### SIGNIF_BIT_MASK

    public static final long SIGNIF_BIT_MASK
    Bit mask to isolate the significand field of a `double`.
    See Also:
      - Constant Field Values